package src.fr.api;
import java.util.Set;
public interface Configurator {
    /*
     * @return the list of the Category in the configurator
     */
    Set<Category> getCategories();
    
    /*
     * @return the list of the Category in the configurator
     * @param category: category that we want to see all PartType in that category
     */
    Set<PartType> getVariants(Category category);
        
    /*
     * @return the configuration
     */
    Configuration getConfiguration();

    /*
     * @return compabilitychecker
     */
    CompatibilityChecker getCompatibilityChecker();
}